package com.heyu.api.data.service.calca;
/**
* <p>
* 按天统计 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.calca.CalcaHoursStatisticsEntity;
public interface CalcaHoursStatisticsService extends IService<CalcaHoursStatisticsEntity> {



	CalcaHoursStatisticsEntity selectCalcaHoursStatisticsById(Long id);


	Long insertCalcaHoursStatistics(CalcaHoursStatisticsEntity calcaHoursStatistics);


	Long insertOrUpdateCalcaHoursStatistics(CalcaHoursStatisticsEntity calcaHoursStatistics);


	int updateCalcaHoursStatisticsById(CalcaHoursStatisticsEntity calcaHoursStatistics);


	int updateCoverCalcaHoursStatisticsById(CalcaHoursStatisticsEntity calcaHoursStatistics);


	int deleteCalcaHoursStatisticsById(Long id);


}